import dballe
import datetime
db = dballe.DB.connect("postgresql://sqluser:xxx@psqldb.dockerized.io:5432/DBALLE")
queries = {
    "min_only": {
         'level': (1, None, None, None),
        'var': 'B13011',
         'trange': (1, 0, 86400),
         'datetimemin': datetime.datetime(2006, 1, 9, 0, 0),
     },
    "min_and_rep_memo": {
         'level': (1, None, None, None),
         'var': 'B13011',
         'trange': (1, 0, 86400),
         'datetimemin': datetime.datetime(2006, 1, 9, 0, 0),
         'rep_memo': 'agrmet',
     },
     "min_and_max": {
         'level': (1, None, None, None),
         'var': 'B13011',
         'trange': (1, 0, 86400),
         'datetimemin': datetime.datetime(2006, 1, 9, 0, 0),
         'datetimemax': datetime.datetime(2006, 1, 12, 9, 8, 57, 986000),
     },
     "max_max_and_rep_memo": {
         'level': (1, None, None, None),
         'var': 'B13011',
         'trange': (1, 0, 86400),
         'datetimemin': datetime.datetime(2006, 1, 9, 0, 0),
         'datetimemax': datetime.datetime(2006, 1, 12, 9, 8, 57, 986000),
         'rep_memo': 'agrmet',
     }
 }
explorer = dballe.Explorer()
with explorer.rebuild() as update:
     with db.transaction() as tr:
             update.add_db(tr)

for name, query in queries.items():
     explorer.set_filter(query)
     # check if query is giving a result
     levels_in_query= explorer.levels
     print('levels for query {}: {}'.format(name,levels_in_query))


